shopMessage = {};

function shopMessage.prerequisitesPresent(specializations)
    return	true
end

function shopMessage.registerEventListeners(vehicleType)
	SpecializationUtil.registerEventListener(vehicleType, "onUpdate", shopMessage)
end

function shopMessage:onUpdate(dt)
	if g_gui.currentGuiName == "ShopConfigScreen" then
		if g_currentMission.shopController.buyItemFilename ~= nil then
			if g_currentMission.shopController.buyItemFilename == self.configFileName then
				if g_currentMission.shopController.isBuying then
					if g_currentMission.shopController.buyVehicleNow > 0 then
						self.loadInfoDialog = true
					end
					if self.loadInfoDialog then
						if self.lockExistingDialog == nil then
							g_gui:showInfoDialog({text=g_i18n:getText("shop_additionalDialog"), dialogType=DialogElement.TYPE_BENCHMARK})
							if g_currentMission.shopController.buyVehicleNow == 0 then
								self.lockExistingDialog = true
							end
						end
					end
				end
			end
		end
	end
end